/* Shimmer */
.shimmer-wrapper {

}
.shimmer-wrapper .shimmer-001 {
    height: 2rem;
}
.shimmer-wrapper .shimmer-002 {
    height: 4rem;
}
.shimmer-wrapper .shimmer-003 {
    height: 6rem;
}

.product-grid-v01 {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(16rem, 1fr));
    gap: 1rem;
}

/* Card */
.product-grid-v01 .product-grid-item-v01 {
    width: 100%;
}

/* Image */
.product-grid-v01 .product-grid-item-v01 .product-grid-item-thumbnails {
    width: 100%;
    aspect-ratio: 1 / 1; /* keeps square */
    overflow: hidden;
}
.product-grid-v01 .product-grid-item-v01 .product-grid-item-thumbnails img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

/* Title */
.product-grid-v01 .product-grid-item-v01 .product-grid-item-title {
    font-size: 1rem;
    cursor: pointer;
    margin: 0.25rem 0;
}
.product-grid-v01 .product-grid-item-v01:hover .product-grid-item-title {
    text-decoration: underline;
}

/* Ratings */
.product-grid-v01 .product-grid-item-v01 .product-grid-item-ratings-wrapper {
    display: flex;
    align-items: center;
    margin-bottom: 0.5rem;
}
.product-grid-v01 .product-grid-item-v01 .ratings-text {
    font-size: 0.75rem;
    text-decoration: underline;

    margin-left: 0.35rem;
}

/* Price */
.product-grid-v01 .product-grid-item-v01 .product-grid-item-price {
    font-size: 0.9rem;
    display: flex;
    align-items: center;
    gap: 0.4rem;
}
.product-grid-v01 .product-grid-item-v01 .product-grid-item-strikethrough-price {
    font-size: 0.8rem;
    text-decoration: line-through;
    color: var(--color-text-tertiary);
}

/* --- RESPONSIVE BREAKPOINTS --- */

/* Tablet */
@media (max-width: 992px) {
    .product-grid-v01 {
        grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
    }
}

/* Mobile */
@media (max-width: 600px) {
    .product-grid-v01 {
        grid-template-columns: repeat(2, 1fr);
        gap: 0.75rem;
    }
}

/* Small mobile */
@media (max-width: 400px) {
    .product-grid-v01 {
        grid-template-columns: 1fr;
    }
}